## control-plugin-upstart 0.0.11

=== Makefile ===
NAME1 = src/control-plugin-upstart
NAME2 = src/control-plugin-upstart-cmdline
NAMES = $(NAME1) $(NAME2)
SRC1 = src/upstart_plugin.c src/upstart_config_handler.c \
       src/upstart_config_handler.h
SRC2 = src/upstart_config_cmdline.c src/upstart_config_handler.c \
       src/upstart_config_handler.h
OBJ1 = src/upstart_plugin.o src/upstart_config_handler.o 
OBJ2 = src/upstart_config_cmdline.o src/upstart_config_handler.o 
pkg_packages := gtk+-2.0 glib-2.0 gmodule-2.0 hildon-fm-2 hildon-1

CFLAGS ?= -O2
CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
	-Wwrite-strings -Wcast-align  -Wall
CFLAGS += $(shell pkg-config --cflags $(pkg_packages))
LDFLAGS = $(shell pkg-config --libs $(pkg_packages))

.PHONY: all
all: $(NAMES)

$(NAME1): $(OBJ1)
	$(CC) $(CFLAGS) -o $@ $(OBJ1) $(LDFLAGS)

$(OBJ1): $(SRC1)

$(NAME2): $(OBJ2)
	$(CC) $(CFLAGS) -o $@ $(OBJ2) $(LDFLAGS)

$(OBJ2): $(SRC2)

TAGS: $(SRC1) $(SRC2)
	etags $(SRC1) $(SRC2)

.PHONY: clean
clean:
	$(RM) $(NAMES) $(OBJ1) $(OBJ2) src/*~ *~

.PHONY: install
install: $(NAMES)
	install -d $(DESTDIR)/usr/lib/control-plugin-loader
	install -m 755 $(NAME1) $(DESTDIR)/usr/lib/control-plugin-loader/
	install -d $(DESTDIR)/usr/bin
	install -m 755 $(NAME2) $(DESTDIR)/usr/bin/

=== debian/changelog ===
control-plugin-upstart (0.0.11) unstable; urgency=low

  * Removed config file from the package.
    By default config file is not distributed. Better to generate config file
    when application is started first time. This gives us correct config.

   * Changed location of the config file. 
     New place is /home/user/.control-plugin-upstart
     Fixes: NB#100809

 -- Pekka Lundstrom <Pekka:lundstrom@nokia.com>  Tue, 17 Feb 2009 10:20:25 +0200

control-plugin-upstart (0.0.10) unstable; urgency=low

  * Added debug package.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Thu, 22 Jan 2009 16:16:46 +0200

control-plugin-upstart (0.0.9) unstable; urgency=low

  * Fixed outdated FSF contact address in licensing information
  * Added missing licensing block to the source code
  * Corrected incorrect licensing information in debian/copyright

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 22 Dec 2008 14:50:26 +0200

control-plugin-upstart (0.0.8) unstable; urgency=low

  * Added support for config file that has event activity.
      Each config file line has form like this:
      upstart_eventfile {ON | OFF} ["free text for display"]
  * Added command line version
      Command line systax is
      control-plugin-upstart-cmdline [config_file_name]
      If config_file_name paramter is not given then current config 
      file is used.

 -- Pekka Lundstrom <pekka.lundstrom@nokia.com>  Tue, 11 Nov 2008 14:45:10 +0200

control-plugin-upstart (0.0.7) unstable; urgency=low

  * Changed directories to be same what Upstart uses
  * Edited default config file to have correct "event" files that can be
    found from the device

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 20 Oct 2008 14:43:12 +0300

control-plugin-upstart (0.0.6) unstable; urgency=low

  * Fixed a minor issue reported by Lintian in package prerm script

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 13 Oct 2008 14:13:11 +0300

control-plugin-upstart (0.0.5) unstable; urgency=low

  * Fixed configuration file handling.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-upstart (0.0.4) unstable; urgency=low

  * Now reading & writing the configuration file works ok

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-upstart (0.0.3) unstable; urgency=low

  * Now using a file to load all scripts that are needed.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-upstart (0.0.2) unstable; urgency=low

  * Second version without autotools

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200
 

control-plugin-upstart (0.0.1) unstable; urgency=low

  * First version

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

=== debian/control ===
Source: control-plugin-upstart
Section: user/tools
Priority: optional
Maintainer: Eero Tamminen <Eero.Tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libglib2.0-dev, libhildonfm2-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: control-plugin-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, control-plugin-loader
Description: Upstart plugin for the control-plugin-loader
 A plugin for manipulating the upstart startup scripts with
 control-plugin-loader.

Package: control-plugin-upstart-dbg
Architecture: any
Depends: control-plugin-upstart (=${binary:Version})
Description: Debug symbols for the control-plugin-upstart package
 This package contains debug symbols for the Upstart plugin (used by
 control-plugin-loader).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build:
	make

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) clean

#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/control-plugin-loader
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip --dbg-package=control-plugin-upstart
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
